import { createWriteStream } from "fs";
import { JsonStreamStringify } from "json-stream-stringify";
export async function streamObjectToFile(filepath, obj, { pretty = false } = {}) {
    const stream = new JsonStreamStringify(obj, undefined, pretty ? 4 : undefined);
    return new Promise((resolve, reject) => {
        stream.pipe(createWriteStream(filepath)).on("error", reject).on("finish", resolve);
    });
}
